
From: janitor@sternwelten.at

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Maximilian Attems <janitor@sternwelten.at>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/radio-sf16fmi.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN drivers/media/radio/radio-sf16fmi.c~radio-radio-sf16fmi-replace-schedule_timeout-with-msleep drivers/media/radio/radio-sf16fmi.c
--- 25/drivers/media/radio/radio-sf16fmi.c~radio-radio-sf16fmi-replace-schedule_timeout-with-msleep	2004-09-02 15:36:44.153424720 -0700
+++ 25-akpm/drivers/media/radio/radio-sf16fmi.c	2004-09-02 15:36:44.157424112 -0700
@@ -89,8 +89,7 @@ static inline int fmi_setfreq(struct fmi
 
 	outbits(16, RSF16_ENCODE(freq), myport);
 	outbits(8, 0xC0, myport);
-	current->state = TASK_UNINTERRUPTIBLE;
-	schedule_timeout(HZ/7);
+	msleep(143);		/* was schedule_timeout(HZ/7) */
 	up(&lock);
 	if (dev->curvol) fmi_unmute(myport);
 	return 0;
@@ -107,8 +106,7 @@ static inline int fmi_getsigstr(struct f
 	val = dev->curvol ? 0x08 : 0x00;	/* unmute/mute */
 	outb(val, myport);
 	outb(val | 0x10, myport);
-	set_current_state(TASK_UNINTERRUPTIBLE);
-	schedule_timeout(HZ/7);
+	msleep(143); 		/* was schedule_timeout(HZ/7) */
 	res = (int)inb(myport+1);
 	outb(val, myport);
 	
_
